aboutsummaryrefslogtreecommitdiff
path: root/bash/bash_profile.d/remind.bash
diff options
context:
space:
mode:
Diffstat (limited to 'bash/bash_profile.d/remind.bash')
-rw-r--r--bash/bash_profile.d/remind.bash14
1 files changed, 10 insertions, 4 deletions
diff --git a/bash/bash_profile.d/remind.bash b/bash/bash_profile.d/remind.bash
index d006bb20..92f13924 100644
--- a/bash/bash_profile.d/remind.bash
+++ b/bash/bash_profile.d/remind.bash
@@ -1,11 +1,17 @@
# Only if shell is interactive
-[[ $- == *i* ]] || return
+if [[ $- != *i* ]] ; then
+ return
+fi
# Only if rem(1) available
-hash rem 2>/dev/null || return
+if ! hash rem 2>/dev/null ; then
+ return
+fi
-# Only if $HOME/.reminders exists
-[[ -e $HOME/.reminders ]] || return
+# Only if reminders file exists
+if [[ ! -e ${DOTREMINDERS:-$HOME/.reminders} ]] ; then
+ return
+fi
# Print from subshell to keep namespace clean
(